petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetSeparableObjectiveRoutine

Sets the function evaluation routine for least-square applications

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetSeparableObjectiveRoutine(Tao tao, Vec sepobj, PetscErrorCode (*func)(Tao, Vec, Vec, void*),void *ctx)

Logically collective on Tao Many br

### Input Parameter

| tao | - the Tao context Many br
| func | - the objective function evaluation routine Many br
| ctx | - [optional] user-defined context for private data for the function evaluation Many brroutine (may be NULL) Many br

### Calling sequence of func

         func (Tao tao, Vec x, Vec f, void *ctx);

| x | - input vector Many br
| f | - function value vector Many br
| ctx | - [optional] user-defined function context Many br

Many br

### See Also

TaoSetObjectiveRoutine(), TaoSetJacobianRoutine()

Level:beginner
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/leastsquares/examples/tutorials/chwirut1.c.html
src/tao/leastsquares/examples/tutorials/chwirut2.c.html
src/tao/leastsquares/examples/tutorials/chwirut1f.F.html
src/tao/leastsquares/examples/tutorials/chwirut2f.F.html